Package ru.bitel.bgbilling.kernel.bgsecure.common.bean

# Class RequestRecordLog

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.bgsecure.common.bean.RequestRecordLog

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class RequestRecordLog extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RequestRecordLog()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addRecordAction(RecordAction recordAction)`
  `Set<RecordAction>`
  `getActions()`
  `int`
  `getAllActionsCount()`
  `Date`
  `getEndRecordingTime()`
  `Date`
  `getStartRecordingTime()`
  `int`
  `getUserId()`
  `void`
  `setActions(Set<RecordAction> actions)`
  `void`
  `setAllActionsCount(int allActionsCount)`
  `void`
  `setEndRecordingTime(Date endRecordingTime)`
  `void`
  `setStartRecordingTime(Date startRecordingTime)`
  `void`
  `setUserId(int userId)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### RequestRecordLog

    public RequestRecordLog()

- ## Method Details

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId(int userId)

  - ### getAllActionsCount

    public int getAllActionsCount()

  - ### setAllActionsCount

    public void setAllActionsCount(int allActionsCount)

  - ### getStartRecordingTime

    public Date getStartRecordingTime()

  - ### setStartRecordingTime

    public void setStartRecordingTime(Date startRecordingTime)

  - ### getActions

    public Set<RecordAction> getActions()

  - ### setActions

    public void setActions(Set<RecordAction> actions)

  - ### addRecordAction

    public void addRecordAction(RecordAction recordAction)

  - ### setEndRecordingTime

    public void setEndRecordingTime(Date endRecordingTime)

  - ### getEndRecordingTime

    public Date getEndRecordingTime()